> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all virtual interfaces per tenant type gate



## OpenAPI

````yaml /openapi.json get /tenant/{tenant_name}/virtual_interface/gate
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /tenant/{tenant_name}/virtual_interface/gate:
    get:
      tags:
        - tenant - virtual interface - gate
      summary: Get all virtual interfaces per tenant type gate
      operationId: >-
        get_tenant_virtual_interface_gate_tenant__tenant_name__virtual_interface_gate_get
      parameters:
        - name: tenant_name
          in: path
          required: true
          schema:
            title: Tenant Name
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ItemsList_NBVirtualInterfaceGateResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearerFromCookie: []
components:
  schemas:
    ItemsList_NBVirtualInterfaceGateResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/NBVirtualInterfaceGateResponse'
          type: array
          title: Items
        count:
          type: integer
          title: Count
          default: 0
        total_count:
          type: integer
          title: Total Count
          default: 0
      type: object
      required:
        - items
      title: ItemsList[NBVirtualInterfaceGateResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NBVirtualInterfaceGateResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        virtual_interface_bridge_domain_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Virtual Interface Bridge Domain Name
        members:
          items:
            $ref: '#/components/schemas/NBVirtualInterfaceMembers'
          type: array
          title: Members
          default: []
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        is_snat_service:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Snat Service
        is_nat_service:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Nat Service
        is_ipsec_service:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Ipsec Service
        is_lb_service:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Lb Service
        system_name:
          anyOf:
            - type: string
            - type: 'null'
          title: System Name
        operational_state:
          anyOf:
            - $ref: '#/components/schemas/InterfaceState'
            - type: 'null'
        ip_addresses:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Ip Addresses
          default: []
        ip_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Ip Address
        is_dia:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Dia
        asn:
          anyOf:
            - type: integer
            - type: 'null'
          title: Asn
        configuration:
          anyOf:
            - $ref: '#/components/schemas/GateConfiguration'
            - type: 'null'
      type: object
      required:
        - id
        - name
      title: NBVirtualInterfaceGateResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    NBVirtualInterfaceMembers:
      properties:
        interface_type:
          type: string
          title: Interface Type
        interfaces:
          anyOf:
            - items:
                $ref: '#/components/schemas/NBPortVLANInterfaceResponse'
              type: array
            - items:
                $ref: '#/components/schemas/NBVTEPVNIInterfaceResponse'
              type: array
            - items:
                $ref: '#/components/schemas/NBQINQPortVLANInterfaceResponse'
              type: array
            - items:
                $ref: '#/components/schemas/NBPortInterfaceResponse'
              type: array
          title: Interfaces
          default: []
      type: object
      required:
        - interface_type
      title: NBVirtualInterfaceMembers
    InterfaceState:
      type: string
      enum:
        - up
        - down
      title: InterfaceState
    GateConfiguration:
      properties:
        bfd:
          $ref: '#/components/schemas/BfdConfig'
      type: object
      required:
        - bfd
      title: GateConfiguration
    NBPortVLANInterfaceResponse:
      properties:
        administrative_state:
          $ref: '#/components/schemas/InterfaceState'
          default: up
        mtu:
          anyOf:
            - type: integer
            - type: 'null'
          title: Mtu
        max_bandwidth:
          type: integer
          title: Max Bandwidth
          default: 0
        virtual_interface_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Virtual Interface Id
        virtual_interface_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Virtual Interface Name
        vrf_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Vrf Name
        tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Name
        alias:
          anyOf:
            - type: string
            - type: 'null'
          title: Alias
        labels:
          anyOf:
            - $ref: '#/components/schemas/L2Labels'
            - type: 'null'
        customer_port_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Port Name
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        operational_state:
          anyOf:
            - $ref: '#/components/schemas/InterfaceState'
            - type: 'null'
        system_name:
          anyOf:
            - type: string
            - type: 'null'
          title: System Name
        physical_port_name:
          type: string
          title: Physical Port Name
        vlan_id:
          type: integer
          title: Vlan Id
        trunk:
          type: boolean
          title: Trunk
          default: false
      type: object
      required:
        - id
        - name
        - physical_port_name
        - vlan_id
      title: NBPortVLANInterfaceResponse
    NBVTEPVNIInterfaceResponse:
      properties:
        administrative_state:
          $ref: '#/components/schemas/InterfaceState'
          default: up
        mtu:
          anyOf:
            - type: integer
            - type: 'null'
          title: Mtu
        max_bandwidth:
          type: integer
          title: Max Bandwidth
          default: 0
        virtual_interface_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Virtual Interface Id
        virtual_interface_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Virtual Interface Name
        vrf_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Vrf Name
        tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Name
        alias:
          anyOf:
            - type: string
            - type: 'null'
          title: Alias
        labels:
          anyOf:
            - $ref: '#/components/schemas/L2Labels'
            - type: 'null'
        customer_port_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Port Name
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        operational_state:
          anyOf:
            - $ref: '#/components/schemas/InterfaceState'
            - type: 'null'
        system_name:
          anyOf:
            - type: string
            - type: 'null'
          title: System Name
        vni_id:
          type: integer
          title: Vni Id
        vtep_id:
          type: integer
          title: Vtep Id
        evpn_type:
          $ref: '#/components/schemas/EVPNType'
        tunnels:
          anyOf:
            - items:
                $ref: '#/components/schemas/NBVxLANTunnel'
              type: array
            - type: 'null'
          title: Tunnels
          default: []
      type: object
      required:
        - id
        - name
        - vni_id
        - vtep_id
        - evpn_type
      title: NBVTEPVNIInterfaceResponse
    NBQINQPortVLANInterfaceResponse:
      properties:
        administrative_state:
          $ref: '#/components/schemas/InterfaceState'
          default: up
        mtu:
          anyOf:
            - type: integer
            - type: 'null'
          title: Mtu
        max_bandwidth:
          type: integer
          title: Max Bandwidth
          default: 0
        virtual_interface_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Virtual Interface Id
        virtual_interface_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Virtual Interface Name
        vrf_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Vrf Name
        tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Name
        alias:
          anyOf:
            - type: string
            - type: 'null'
          title: Alias
        labels:
          anyOf:
            - $ref: '#/components/schemas/L2Labels'
            - type: 'null'
        customer_port_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Port Name
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        operational_state:
          anyOf:
            - $ref: '#/components/schemas/InterfaceState'
            - type: 'null'
        system_name:
          anyOf:
            - type: string
            - type: 'null'
          title: System Name
        physical_port_name:
          type: string
          title: Physical Port Name
        vlan_stag_id:
          type: integer
          title: Vlan Stag Id
        vlan_ctag_id:
          type: integer
          title: Vlan Ctag Id
      type: object
      required:
        - id
        - name
        - physical_port_name
        - vlan_stag_id
        - vlan_ctag_id
      title: NBQINQPortVLANInterfaceResponse
    NBPortInterfaceResponse:
      properties:
        administrative_state:
          $ref: '#/components/schemas/InterfaceState'
          default: up
        mtu:
          anyOf:
            - type: integer
            - type: 'null'
          title: Mtu
        max_bandwidth:
          type: integer
          title: Max Bandwidth
          default: 0
        virtual_interface_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Virtual Interface Id
        virtual_interface_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Virtual Interface Name
        vrf_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Vrf Name
        tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Name
        alias:
          anyOf:
            - type: string
            - type: 'null'
          title: Alias
        labels:
          anyOf:
            - $ref: '#/components/schemas/L2Labels'
            - type: 'null'
        customer_port_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Port Name
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        operational_state:
          anyOf:
            - $ref: '#/components/schemas/InterfaceState'
            - type: 'null'
        system_name:
          anyOf:
            - type: string
            - type: 'null'
          title: System Name
        physical_port_name:
          type: string
          title: Physical Port Name
        trunk:
          type: boolean
          title: Trunk
          default: false
      type: object
      required:
        - id
        - name
        - physical_port_name
      title: NBPortInterfaceResponse
    BfdConfig:
      properties:
        transmit_interval:
          type: integer
          title: Transmit Interval
          default: 0
        receive_interval:
          type: integer
          title: Receive Interval
          default: 0
        detect_multiplier:
          type: integer
          title: Detect Multiplier
          default: 0
        passive_mode:
          type: boolean
          title: Passive Mode
          default: false
      type: object
      title: BfdConfig
    L2Labels:
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      title: L2Labels
    EVPNType:
      type: string
      enum:
        - UNSPECIFIED
        - VXLAN_L2
        - VXLAN_L3
        - GENEVE_L2
        - GENEVE_L3
      title: EVPNType
    NBVxLANTunnel:
      properties:
        remote_ip:
          type: string
          title: Remote Ip
      type: object
      required:
        - remote_ip
      title: NBVxLANTunnel
  securitySchemes:
    HTTPBearerFromCookie:
      type: http
      scheme: bearer

````